--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: data_tar_writer
comment: 
- !ruby/struct:SM::Flow::P 
  body: Creates a new TarOutput which will yield a TarWriter object for the data.tar.gz portion of a gem-format tar file.
- !ruby/struct:SM::Flow::P 
  body: "See #initialize for details on <tt>io</tt> and <tt>signer</tt>."
- !ruby/struct:SM::Flow::P 
  body: "See #add_gem_contents for details on adding metadata to the tar file."
full_name: Gem::Package::TarOutput::open
is_singleton: true
name: open
params: (io, signer = nil) {|data_tar_writer| ...}
visibility: public
